org.apache.lucene.analysis

## Class MockSynonymAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.MockSynonymAnalyzer

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class MockSynonymAnalyzer
    extends Analyzer

adds synonym of "dog" for "dogs", and synonym of "cavy" for "guinea pig".

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.analysis.Analyzer

`Analyzer.ReuseStrategy, Analyzer.TokenStreamComponents`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.Analyzer

`GLOBAL_REUSE_STRATEGY, PER_FIELD_REUSE_STRATEGY`

### Constructor Summary

Constructors
Constructor and Description
`MockSynonymAnalyzer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Analyzer.TokenStreamComponents` `createComponents(String fieldName)`

### Methods inherited from class org.apache.lucene.analysis.Analyzer

`attributeFactory, close, getOffsetGap, getPositionIncrementGap, getReuseStrategy, getVersion, initReader, initReaderForNormalization, normalize, normalize, setVersion, tokenStream, tokenStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MockSynonymAnalyzer

    public MockSynonymAnalyzer()

### Method Detail

#### createComponents

    protected Analyzer.TokenStreamComponents createComponents(String fieldName)

Specified by:
  `createComponents` in class `Analyzer`